\name{ConfigPutInDictionary}
\alias{ConfigPutInDictionary}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{
%%  ~~function to do ... ~~
}
\description{
%%  ~~ A concise (1-5 lines) description of what the function does. ~~
}
\usage{
ConfigPutInDictionary(dictionary, key, value)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{dictionary}{
%%     ~~Describe \code{dictionary} here~~
}
  \item{key}{
%%     ~~Describe \code{key} here~~
}
  \item{value}{
%%     ~~Describe \code{value} here~~
}
}
\details{
%%  ~~ If necessary, more details than the description above ~~
}
\value{
%%  ~Describe the value returned
%%  If it is a LIST, use
%%  \item{comp1 }{Description of 'comp1'}
%%  \item{comp2 }{Description of 'comp2'}
%% ...
}
\references{
%% ~put references to the literature/web site here ~
}
\author{
%%  ~~who you are~~
}
\note{
%%  ~~further notes~~
}

%% ~Make other sections like Warning with \section{Warning }{....} ~

\seealso{
%% ~~objects to See Also as \code{\link{help}}, ~~~
}
\examples{
##---- Should be DIRECTLY executable !! ----
##-- ==>  Define data, use random,
##--	or do  help(data=index)  for the standard data sets.

## The function is currently defined as
function (dictionary, key, value) 
{
    if (key \%in\% names(dictionary)) {
        dictionary[[key]] <- value
        dictionary
    }
    else {
        dictionary[[length(dictionary) + 1]] <- value
        if (is.null(names(dictionary))) {
            names(dictionary) <- c(key)
        }
        else {
            names(dictionary)[[length(names(dictionary))]] <- key
        }
        dictionary
    }
  }
}
% Add one or more standard keywords, see file 'KEYWORDS' in the
% R documentation directory.
\keyword{ ~kwd1 }
\keyword{ ~kwd2 }% __ONLY ONE__ keyword per line
